Aller au contenu

Pb avec la fonction raccord.


Messages recommandés

La voici :

 

(defun c:mrac (/ rad ss)
 (initget 6)
 (if (setq
rad (getdist (strcat "\nSpécifiez le rayon pour les raccords <"
		     (rtos (getvar "FILLETRAD"))
		     ">: "
	     )
    )
     )
   (setvar "FILLETRAD" rad)
 )
 (prompt "\nSélectionnez les polylignes.")
 (if (setq ss (ssget '((0 . "LWPOLYLINE"))))
   (foreach pl	(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
     (command "_.fillet" "_p" pl)
   )
 )
 (princ)
) 

[Edité le 18/10/2006 par (gile)]

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Lien à poster
Partager sur d’autres sites
  • 6 ans après...

Rejoindre la conversation

Vous pouvez publier maintenant et vous inscrire plus tard. Si vous avez un compte, connectez-vous maintenant pour publier avec votre compte.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

Chargement
×
×
  • Créer...